Package org.eclipse.emf.cdo.common.commit

## Interface CDOChangeKindProvider

- All Known Subinterfaces:
    `CDOChangeSet`, `CDOChangeSetData`, `CDOCommitData`, `CDOCommitHistory.TriggerLoadElement`, `CDOCommitInfo`, `CDOSessionInvalidationEvent`, `InternalCDOSessionInvalidationEvent`
  All Known Implementing Classes:
    `CDOChangeKindCache`

      public interface CDOChangeKindProvider

  Generic provider for the kinds of changes that have been applied to objects.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOChangeKind` | `getChangeKind​(CDOID id)` |

- - ### Method Detail

    - #### getChangeKind

          CDOChangeKind getChangeKind​(CDOID id)